module addsub(A, B, oper, RES);
	input  oper;
	input  [3:0] A;
	input  [3:0] B;
	output [3:0] RES;
	reg    [3:0] RES;

	always @(A or B or oper)
	begin
		if (oper==1'b0)
			RES = A + B;
		else
			RES = A - B;   
	end 
endmodule
