module counter (C, CLR, down_up, en, Q);
	input C, CLR, down_up, en;
	output [3:0] Q;
	reg    [3:0] tmp;
	
	
	always @(posedge C or negedge CLR)
	begin
		if (~CLR)
			tmp = 4'b0000;
		else if (en)
			if (down_up)
				tmp = tmp - 1'b1;
			else
				tmp = tmp + 1'b1;

	end

	assign Q = tmp;
endmodule
