`timescale 1ns/1ns
module test();
	wire   [3:0] out;
	wire   fail;
	reg    [3:0] s1, s2, s3;
	reg    reset, clk;

	ca8	mygod( out, fail, s1, s2, s3, reset, clk);
	
	initial begin reset = 1; #10 reset = 0; #20 reset = 1; end

	initial clk = 1;
	always #20 clk = ~clk;
	
	initial
	begin
			s1 = 6;
			s2 = 6;
			s3 = 6;
		#140	s3 = 8;
		#260	s1 = 7;
		#150	s1 = 0;
			s2 = 0;
			s3 = 0;
		#150	$finish;
	end
endmodule
