module voter(a, b, c, out, fail, cha, chb, chc, da, db, dc);
	input  [3:0] a;
	input  [3:0] b;
	input  [3:0] c;
	output [3:0] out;
	output fail, cha, chb, chc, da, db, dc;
	wire   aeb, bec, cea; 

	comp4	comp1(da, aeb, a, b),
			comp2(dc, cea, c, a),
			comp3(db, bec, b, c);
	
	mux4	mymux(out, a, b, bec);
	
	assign fail = (~aeb & ~cea & ~bec);
	assign cha  = (~aeb & ~cea &  bec);
	assign chb  = (~aeb &  cea & ~bec);
	assign chc  = ( aeb & ~cea & ~bec);

endmodule
	
