module ca8( out, fail, s1, s2, s3, reset, clk);
	output [3:0] out;
	output fail;
	input  [3:0] s1, s2, s3;
	input  reset, clk;
	wire   [3:0] c1, c2, c3, a, b, c;
	wire   cha, chb, chc, da, db, dc;	

	addsub	add1( s1, c1, 1'b0, a),
			add2( s2, c2, 1'b0, b),
			add3( s3, c3, 1'b0, c);

	counter count1( clk, reset, da, cha, c1),
			count2( clk, reset, db, chb, c2),
			count3( clk, reset, dc, chc, c3);
	
	voter 	voter1( a, b, c, out, fail, cha, chb, chc, da, db, dc);
endmodule
